<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
	<xsl:element name="BrainData">
			<xsl:element name="Thoughts">
				<xsl:apply-templates select="opml/body/outline"/>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<xsl:template match="outline">
		<xsl:element name="Thought">
			<xsl:element name="name">
				<xsl:value-of select="@text"/>
			</xsl:element>
			<xsl:element name="type">
				<xsl:value-of select="@type"/>
			</xsl:element>
			<xsl:element name="thoughtUrl">
				<xsl:if test="@url">
					<xsl:value-of select="@url"/>
				</xsl:if>
				<xsl:if test="@xmlUrl">
					<xsl:value-of select="@url"/>
				</xsl:if>
			</xsl:element>
			<xsl:element name="creationDateTime">
				<xsl:value-of select="@created"/>
			</xsl:element>
			<xsl:element name="notes">
				<xsl:value-of select="@description"/>
			</xsl:element>
			<xsl:element name="label">
				<xsl:value-of select="@title"/>
			</xsl:element>
		<xsl:apply-templates select="outline"/>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>